Subject: Summary: tar files (Part I)

From: [email-masked] (Grant Handford)
Date: Wed, 20 Nov 1996 08:41:47 -0800 (PST)

Dear CCLer's,

        Here is Part I of my summary cocerning the conversion of tar files
to usable form.  It is designed especially for those who, like myself, did
not know how to uudecode tar files like the ones e-mailed to us on the CCL
concerning the special announcement about the new Gaussian program which
included a seven part series of program segments (tar.uu files).

        I wish to thank all of you who responded.  It was very much appreciated.

Sincerely,
Grant.
E-mail:- [email-masked]

****************************************************************************
****************************************************************************
********
On Mon Nov 18 1996 at 2:25AM Grant Handford <[email-masked]> wrote:-

>>        I am a new student of Computational Chemistry and I am just getting
>> started at using a computer for e-mail, Internet, etc.  I need to know how to
>> convert compressed tar files into usable form.  If you could help me it would
>> be very much appreciated.  Thank You.
>>
>> Sincerely,
>> Grant.
>> E-mail:- [email-masked]

*****************************************************************************
The most important reply was from Jan Labanowski and is as follows:-

> On the machine running UNIX you can do the following:-
>
>        1) Make a directory (say myprog) which you want to be a top of the tree
> of directories for a tar archive
>             mkdir myprog
>
>        2) Copy a compressed tar file (i.e., file which has the *.tar.Z or
> *.tar.gz extension, e.g., myprog.tar.Z or myprog.tar.gz) to the myprog
> directory.
>
>        3) Execute the command:-
>               a) for a *.tar.Z archive
>                    zcat myprog.tar.Z | tar xvof-
>               b) for a *.tar.gz
>                    gunzip -c myprog.tar.gz
>
> and the files from the archive will be stored under the myprog directory.
>
> Note on uudecoding.  If you receive a uuencoded file (sorry....) via e_mail,
> i.e., a file which has the following format:-
>
> begin 644 myprog.tar.Z
> M86YI;6%T92YF```````````````````````````````````````````````````````````````
> M```````````````````````````````````````````````````````````````````````````
> M-------------*and*so*on*---------------------
> ............. many lines like this .........
>
> end
>
> then you know it is a uuencoded file, i.e., a file, usually binary, which was
> converted to a special format so the electronic mail does not mess it up
> (plain electronic mail, in principle, would alter most binary files which
> contain unprintable characters).  To convert the uuencoded file into an
> original binary file, you need to save it, e.g., as myprog.uu, and the use of
> the uudecode program as:-
>           uudecode myprog.uu
> This will recreate the original binary file, myprog.tar.Z in our case.
> Sometimes larger uuencoded files are split into smaller messages.  In this
> case, you need to join all the pieces together in the order specified, delete
> all e-mail headers, and leave no gaps.  Only then can you use uudecode.
> Of course, there are e-mail programs that will do it for you automatically,
> and tools which will make it easier, but if you do not have them, you can
> still do it by hand.
>
> Jan Labanowski
> [email-masked]

****************************************************************************
****************************************************************************
********
Sincerely,
Grant.
E-mail:- [email-masked]